# IrreducibleRepresentation

class `psi4.core.``IrreducibleRepresentation`

  Bases: `pybind11_builtins.pybind11_object`

  An irreducible representation of the point group

  Methods Summary

  `character`(self, arg0) | Return the character of the i’th symmetry operation for the irrep.
  `symbol`(self) | Return the symbol for the irrep

  Methods Documentation

  `character`(self: psi4.core.IrreducibleRepresentation, arg0: int) → float

    Return the character of the i’th symmetry operation for the irrep. 0-indexed.

  `symbol`(self: psi4.core.IrreducibleRepresentation) → str

    Return the symbol for the irrep

  `character`(self: psi4.core.IrreducibleRepresentation, arg0: int) → float

    Return the character of the i’th symmetry operation for the irrep. 0-indexed.

  `symbol`(self: psi4.core.IrreducibleRepresentation) → str

    Return the symbol for the irrep